Main Page Widgets Namespaces Book

# Glib::Markup Namespace Reference

## Compounds

class | AttributeKeyLess
| Binary predicate used by Markup::Parser::AttributeMap. More...
class | ParseContext
| A parse context is used to parse marked-up documents. More...
class | Parser
| The abstract markup parser base class. More...

## Typedefs

typedef Glib::MarkupError | Error

## Enumerations

enum | ParseFlags { DO_NOT_USE_THIS_UNSUPPORTED_FLAG = 1 << 0 }
| There are no flags right now. More...

## Functions

Glib::ustring | escape_text (const Glib::ustring& text)
| Escapes text so that the markup parser will parse it verbatim.
ParseFlags | operator| (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator& (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator^ (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator~ (ParseFlags flags)
ParseFlags& | operator|= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | operator&= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | operator^= (ParseFlags& lhs, ParseFlags rhs)